/*
 * © Copyright IBM Corp. 2017, 2018
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

//module for logging capabilities, shared across the generator
'use strict';
let log = console.log;
const util = require('util');

const setLogger = function(logger) {
  log = logger
}

const writeToLog = function (header, data) {
  if (!data) {
    log(header + " : undefined");
    return;
  }
  if ((typeof data === 'string') || (typeof data === 'number') || (typeof data === 'boolean')) {
    log(header + " : " + data);
  } else {
    log(header + " : " + util.inspect(data));
  }
}

module.exports = {
  writeToLog: writeToLog,
  setLogger: setLogger
}
